# Uses of Interface
org.jfree.chart3d.axis.ValueAxis3D

Packages that use ValueAxis3D
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of ValueAxis3D in org.jfree.chart3d.axis

Classes in org.jfree.chart3d.axis that implement ValueAxis3D
Modifier and Type
Class
Description
`class`
`AbstractValueAxis3D`
A base class for implementing numerical axes.
`class`
`LogAxis3D`
A numerical axis with a logarithmic scale.
`class`
`NumberAxis3D`
A numerical axis for use with 3D plots (implements `ValueAxis3D`).

## Uses of ValueAxis3D in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return ValueAxis3D
Modifier and Type
Method
Description
`ValueAxis3D`
CategoryPlot3D.`getValueAxis()`
Returns the value axis (the vertical axis in the plot).
`ValueAxis3D`
XYZPlot.`getXAxis()`
Returns the x-axis.
`ValueAxis3D`
XYZPlot.`getYAxis()`
Returns the y-axis.
`ValueAxis3D`
XYZPlot.`getZAxis()`
Returns the z-axis.
Methods in org.jfree.chart3d.plot with parameters of type ValueAxis3D
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`setValueAxis(ValueAxis3D axis)`
Sets the value axis and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
XYZPlot.`setXAxis(ValueAxis3D xAxis)`
Sets the x-axis and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
XYZPlot.`setYAxis(ValueAxis3D yAxis)`
Sets the y-axis and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
XYZPlot.`setZAxis(ValueAxis3D zAxis)`
Sets the z-axis and sends a `Plot3DChangeEvent` to all registered listeners.
Constructors in org.jfree.chart3d.plot with parameters of type ValueAxis3D
Modifier
Constructor
Description
``
`CategoryPlot3D(CategoryDataset3D dataset, CategoryRenderer3D renderer, CategoryAxis3D rowAxis, CategoryAxis3D columnAxis, ValueAxis3D valueAxis)`
Creates a new plot with the supplied dataset, renderer and axes.
``
`XYZPlot(XYZDataset dataset, XYZRenderer renderer, ValueAxis3D xAxis, ValueAxis3D yAxis, ValueAxis3D zAxis)`
Creates a new plot with the specified axes.

## Uses of ValueAxis3D in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type ValueAxis3D
Modifier and Type
Method
Description
`protected void`
ChartStyler.`styleValueAxis(ValueAxis3D axis)`
Applies the current style to a value axis.